# -*- coding: utf-8 -*-
#
# Copyright (C) 2013 Alexander Shorin
# All rights reserved.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution.
#


class DecodeError(ValueError):
    """UBJSON data decoding error."""


class MarkerError(DecodeError):
    """Raises if unknown or invalid marker was found in decoded data stream."""


class EarlyEndOfStreamError(DecodeError):
    """Raises when data stream unexpectedly ends."""


class EncodeError(TypeError):
    """Python object encoding error."""
